Could not retrieve fact='apache_version', resolution='<anonymous>': undefined method `[]' for nil:NilClass

Posted on

++ basename /opt/stack/selinux-policy/tripleo-selinux-ssh.te
+ filename=tripleo-selinux-ssh.te
+ filename_no_ext=tripleo-selinux-ssh
+ cp /opt/stack/selinux-policy/tripleo-selinux-ssh.te /tmp/tmp.rCGTbkZcqL
+ make -f /usr/share/selinux/devel/Makefile tripleo-selinux-ssh.pp
Compiling targeted tripleo-selinux-ssh module
/usr/bin/checkmodule: loading policy configuration from tmp/tripleo-selinux-ssh.tmp
/usr/bin/checkmodule: policy configuration loaded
/usr/bin/checkmodule: writing binary representation (version 17) to tmp/tripleo-selinux-ssh.mod
Creating targeted tripleo-selinux-ssh.pp policy package
rm tmp/tripleo-selinux-ssh.mod tmp/tripleo-selinux-ssh.mod.fc
+ for file in '$(ls /opt/stack/selinux-policy/*.te)'
++ basename /opt/stack/selinux-policy/tripleo-selinux-swift.te
+ filename=tripleo-selinux-swift.te
+ filename_no_ext=tripleo-selinux-swift
+ cp /opt/stack/selinux-policy/tripleo-selinux-swift.te /tmp/tmp.rCGTbkZcqL
+ make -f /usr/share/selinux/devel/Makefile tripleo-selinux-swift.pp
Compiling targeted tripleo-selinux-swift module
/usr/bin/checkmodule: loading policy configuration from tmp/tripleo-selinux-swift.tmp
/usr/bin/checkmodule: policy configuration loaded
/usr/bin/checkmodule: writing binary representation (version 17) to tmp/tripleo-selinux-swift.mod
Creating targeted tripleo-selinux-swift.pp policy package
rm tmp/tripleo-selinux-swift.mod.fc tmp/tripleo-selinux-swift.mod
+ semodule -i /tmp/tmp.rCGTbkZcqL/tripleo-selinux-keepalived.pp /tmp/tmp.rCGTbkZcqL/tripleo-selinux-keystone.pp /tmp/tmp.rCGTbkZcqL/tripleo-selinux-mariadb.pp /tmp/tmp.rCGTbkZcqL/tripleo-selinux-neutron.pp /tmp/tmp.rCGTbkZcqL/tripleo-selinux-nova.pp /tmp/tmp.rCGTbkZcqL/tripleo-selinux-openvswitch.pp /tmp/tmp.rCGTbkZcqL/tripleo-selinux-rabbitmq.pp /tmp/tmp.rCGTbkZcqL/tripleo-selinux-rhsmcertd.pp /tmp/tmp.rCGTbkZcqL/tripleo-selinux-ssh.pp /tmp/tmp.rCGTbkZcqL/tripleo-selinux-swift.pp
+ rm -rf /tmp/tmp.rCGTbkZcqL
dib-run-parts Thu Nov 24 15:03:09 GMT 2016 20-compile-and-install-selinux-policies completed
dib-run-parts Thu Nov 24 15:03:09 GMT 2016 Running /usr/libexec/os-refresh-config/configure.d/20-os-apply-config
[2016/11/24 03:03:09 PM] [WARNING] DEPRECATED: falling back to /var/run/os-collect-config/os_config_files.json
[2016/11/24 03:03:09 PM] [INFO] writing /etc/os-net-config/config.json
[2016/11/24 03:03:09 PM] [INFO] writing /root/stackrc
[2016/11/24 03:03:09 PM] [INFO] writing /etc/puppet/hiera.yaml
[2016/11/24 03:03:09 PM] [INFO] writing /mnt/state/var/lib/ironic/virtual-power-key
[2016/11/24 03:03:09 PM] [INFO] writing /var/opt/undercloud-stack/masquerade
[2016/11/24 03:03:09 PM] [INFO] writing /etc/puppet/hieradata/RedHat.yaml
[2016/11/24 03:03:09 PM] [INFO] writing /root/tripleo-undercloud-passwords
[2016/11/24 03:03:09 PM] [INFO] success
dib-run-parts Thu Nov 24 15:03:09 GMT 2016 20-os-apply-config completed
dib-run-parts Thu Nov 24 15:03:09 GMT 2016 Running /usr/libexec/os-refresh-config/configure.d/20-os-net-config
++ os-apply-config --key os_net_config --type raw --key-default ''
[2016/11/24 03:03:09 PM] [WARNING] DEPRECATED: falling back to /var/run/os-collect-config/os_config_files.json
+ NET_CONFIG='{"network_config": [{"ovs_extra": ["br-set-external-id br-ctlplane bridge-id br-ctlplane"], "type": "ovs_bridge", "addresses": [{"ip_netmask": "192.0.2.1/24"}], "members": [{"type": "interface", "primary": "true", "name": "eth1"}], "name": "br-ctlplane"}]}'
+ '[' -n '{"network_config": [{"ovs_extra": ["br-set-external-id br-ctlplane bridge-id br-ctlplane"], "type": "ovs_bridge", "addresses": [{"ip_netmask": "192.0.2.1/24"}], "members": [{"type": "interface", "primary": "true", "name": "eth1"}], "name": "br-ctlplane"}]}' ']'
+ trap configure_safe_defaults EXIT
+ os-net-config -c /etc/os-net-config/config.json -v --detailed-exit-codes
[2016/11/24 03:03:10 PM] [INFO] Using config file at: /etc/os-net-config/config.json
[2016/11/24 03:03:10 PM] [INFO] Using mapping file at: /etc/os-net-config/mapping.yaml
[2016/11/24 03:03:10 PM] [INFO] Ifcfg net config provider created.
[2016/11/24 03:03:10 PM] [INFO] nic1 mapped to: eth0
[2016/11/24 03:03:10 PM] [INFO] nic2 mapped to: eth1
[2016/11/24 03:03:10 PM] [INFO] adding bridge: br-ctlplane
[2016/11/24 03:03:10 PM] [INFO] adding interface: eth1
[2016/11/24 03:03:10 PM] [INFO] applying network configs...
[2016/11/24 03:03:10 PM] [INFO] No changes required for interface: eth1
[2016/11/24 03:03:10 PM] [INFO] No changes required for bridge: br-ctlplane
+ RETVAL=0
+ [[ 0 == 2 ]]
+ [[ 0 != 0 ]]
+ configure_safe_defaults
+ [[ 0 == 0 ]]
+ return 0
dib-run-parts Thu Nov 24 15:03:10 GMT 2016 20-os-net-config completed
dib-run-parts Thu Nov 24 15:03:10 GMT 2016 Running /usr/libexec/os-refresh-config/configure.d/30-reload-keepalived
+ systemctl is-enabled keepalived
Failed to get unit file state for keepalived.service: No such file or directory
dib-run-parts Thu Nov 24 15:03:10 GMT 2016 30-reload-keepalived completed
dib-run-parts Thu Nov 24 15:03:10 GMT 2016 Running /usr/libexec/os-refresh-config/configure.d/40-hiera-datafiles
[2016/11/24 03:03:10 PM] [WARNING] DEPRECATED: falling back to /var/run/os-collect-config/os_config_files.json
dib-run-parts Thu Nov 24 15:03:10 GMT 2016 40-hiera-datafiles completed
dib-run-parts Thu Nov 24 15:03:10 GMT 2016 Running /usr/libexec/os-refresh-config/configure.d/50-puppet-stack-config
+ set -o pipefail
+ set +e
+ puppet apply --detailed-exitcodes /etc/puppet/manifests/puppet-stack-config.pp
Could not retrieve fact='apache_version', resolution='': undefined method `[]' for nil:NilClass
Error: Puppet::Parser::AST::Resource failed with error ArgumentError: Could not find declared class ::nova::db::mysql_api at /etc/puppet/manifests/puppet-stack-config.pp:91 on node director.test.com
Error: Puppet::Parser::AST::Resource failed with error ArgumentError: Could not find declared class ::nova::db::mysql_api at /etc/puppet/manifests/puppet-stack-config.pp:91 on node director.test.com
+ rc=1
+ set -e
+ echo 'puppet apply exited with exit code 1'
puppet apply exited with exit code 1
+ '[' 1 '!=' 2 -a 1 '!=' 0 ']'
+ exit 1
[2016-11-24 15:03:14,725] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 1]

[2016-11-24 15:03:14,725] (os-refresh-config) [ERROR] Aborting...
Traceback (most recent call last):
File "", line 1, in
File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 845, in install
_run_orc(instack_env)
File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 735, in _run_orc
_run_live_command(args, instack_env, 'os-refresh-config')
File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 406, in _run_live_command
raise RuntimeError('%s failed. See log for details.' % name)
RuntimeError: os-refresh-config failed. See log for details.
Command 'instack-install-undercloud' returned non-zero exit status 1

Responses